@charset "utf-8";
/* CSS Document */

@media (max-width: 767.98px) {
.u-hide--sp{display:none !important;}
}
@media (min-width: 768px) {
.u-hide--pc{display:none !important;}
}

body.is-fixed{position:fixed;overflow:hidden;width:100%;height:100%;left:0;}

/*.headerModal
----------------------------------------------------------------- */
.headerModal{visibility:hidden;position:fixed;left:0;top:0;width:100%;height:100%;background:rgba(0, 0, 0, 0.4);opacity:0;transition:.3s;}
.headerModal.is-active{visibility:visible;opacity:1;}
.headerModal__inner{width:100%;height:100%;text-align:center;overflow:hidden;overflow-y:auto;white-space:nowrap;}
.headerModal__inner::after{content:"";display:inline-block;vertical-align:middle;width:1px;height:100%;}
.headerModalPanel{position:relative;display:inline-block;width:100%;max-width:1000px;height:100%;background:#fff;text-align:left;vertical-align:middle;white-space:normal;border-radius:16px;}
.headerModalPanel__inner{display:flex;flex-direction:column;width:100%;height:100%;background:#fff;overflow:auto;border-radius:16px;}
.headerModalPanel__inner:focus, .headerModalPanel__inner:focus-visible{outline:none;}
.headerModalPanel__content{padding:40px 24px;}
.headerModalPanel__content:last-of-type{padding-bottom:24px;}
.headerModalPanel__bottom{/*position:sticky;position:-webkit-sticky;left:0;margin-top:auto;right:0;bottom:0;*/padding:24px;}
.headerModalPanel__bottom .ds-button__trigger{min-width:234px;}
.headerModalPanel__close{position:absolute;width:44px;height:44px;top:18px;left:16px;z-index:1;display:flex;align-items:center;justify-content:center;background: transparent;color:#666;}
.headerModalPanel__head{margin-top:0;margin-bottom:0;padding:30px 67px 32px 20px;}
.headerModalPanel__headTxt{color:#000;font-size:1.5rem;font-weight:700;}
@media screen and (max-width:767.5px){
.headerModal--dialog .headerModalPanel{height:auto !important;}
.headerModalPanel{height:auto;position:absolute;left:0;bottom:0;}
.headerModalPanel__head{padding:28px 56px 8px 56px;text-align:center;}
.headerModalPanel__headTxt{font-size:1.125rem;}
.headerModalPanel__content{height:auto !important;}
.headerModalPanel__inner{border-radius:16px 16px 0 0;height:auto;}
.headerModalPanel__bottom .ds-button__trigger{width:100%;}
.headerModalPanel__close{padding:10px;left:8px;}
.headerModalPanel__close .ds-icon--close{width:24px;height:24px;padding:5px;}
}
@media screen and (min-width:767.5px){
.headerModal{min-width:1280px;}
.headerModal__inner{padding:0 20px;}
.headerModalPanel{height:auto;}

.headerModal--login .headerModal__inner{position:relative;padding:0;max-width:1280px;margin:0 auto;}
.headerModal--login .headerModalPanel{max-width:420px;height:auto;position:absolute;top:64px;left:855px;}
.headerModal--login .headerModalPanel__inner{min-height:100px;padding:0 24px;}

.headerModal--region .headerModal__inner{position:relative;padding:0;max-width:1280px;margin:0 auto;}
.headerModal--region .headerModalPanel{max-width:532px;height:auto;position:absolute;top:64px;right:0;}
.headerModal--region .headerModalPanel__inner{min-height:100px;padding:0 24px;}

.headerModalPanel__inner{min-height:100px;padding:0 16px;overflow:initial;}
.headerModalPanel__content{height:calc(100% - 226px);padding:40px 0;/*overflow:auto;*/}
.headerModalPanel__content:last-of-type{margin-bottom:32px;padding-bottom:0;}
.headerModal--login .headerModalPanel__content{padding:0;}
.headerModalPanel__bottom{margin-top:0;padding:24px 0;box-shadow:none;text-align:center;}
.headerModalPanel__close{position:absolute;}
.headerModalPanel__head{padding:64px 0 24px 0;}
}
@media screen and (min-width:767.5px) and (max-height:640.5px){
.headerModal__inner{padding:0;}
.headerModalPanel{height:auto;}
.headerModalPanel__inner{min-height:auto;}
.headerModalPanel__content{overflow:visible;}
.headerModalPanel__bottom{position:static;}
}

.headerRegionCombobox__list::-webkit-scrollbar{width:4px;}
.headerRegionCombobox__list::-webkit-scrollbar-thumb{background:rgba(0,0,0,0.3);border-radius:9999px;height:64px;}

/* overlay
----------------------------------------------------------------- */
.overlay{visibility:hidden;position:fixed;left:0;top:0;width:100%;height:100%;background:rgba(0, 0, 0, 0.5);opacity:0;transition:.3s;z-index:100;}
.overlay.is-active{opacity:1;visibility:visible;}


/*z-index*/
.headerModal{z-index:11;}
.ds-header{z-index:11;}
.ds-header__body{z-index:11;}

@media (max-width: 767.98px) {
.header{position:relative;z-index:11;}
main:has(.mm-overlay),main:has(.as-mobileModalOverlay.is-open){position:relative;z-index:12;display:block;}

/*main:has(#\3a r5\3a -dialog),
main:has(#\3a rs\3a -dialog),
main:has(#\3a r11\3a -dialog),
main:has(#\3a rf\3a -dialog),
main:has(#\3a ri\3a -dialog),
main:has(#\3a rr\3a -dialog),
main:has(#\3a rk\3a -dialog),
main:has(#\3a r7\3a -dialog),
main:has(#\3a ru\3a -dialog),
main:has(#\3a rl\3a -dialog),
main:has(#\3a ro\3a -dialog){position:relative;z-index:12;display:block;}*/
}

@media (min-width: 768px) {
.headerModal{z-index:1002;}
.ds-header{z-index:1002;}
}


/* header
----------------------------------------------------------------- */
.ds-header{background:#fff;height:56px;}
.ds-header.is-hide,.ds-header.dis-hide{visibility:hidden;display:unset !important;}
.ds-header.is-fixed{position:fixed;width:100%;/*animation: 0.3s ease 0s headerFixed;*/background:#fff;}
.ds-headerWrap:has(.is-fixed) {height:56px;}
@keyframes headerFixed{
  0% {
    top: -100%;
  }
  100% {
    top: 0%;
  }
}

.ds-header__head{border-bottom:1px solid #d5d5d5;position:relative;}
.ds-header__head .ds-header__inner{flex-direction:row;padding:0 8px 0 16px;}
.ds-header__head .ds-header__item{display:flex;min-width:45px;align-items:center;justify-content:center;}

.ds-header__body{background:#fff;display:none;height:100dvh;left:0;overflow:auto;padding:56px 0 80px;position:fixed;top:0;width:100%;}
.ds-header__body.is-active{display:block;}
.ds-header__body.is-active .ds-header__inner{border-top:1px solid #D5D5D5;}
.ds-header__inner{display:flex;justify-content:space-between;flex-direction:column;padding:0 16px;min-height:56px;}
.ds-header__logoWrap{display:flex;align-items:center;padding:16px 0 15px;line-height:1;}
.ds-header__logo--jal{height:20px;max-width:220px;width:100%;}
.ds-header__logo--jal a{display:block;}
.ds-header__logo--oneworld{margin-left:32px;height:25.6px;width:25.6px;}
.ds-header__logo--oneworld a{display:block;}
.ds-header--simple{height:56px;}
.ds-header--simple .ds-header__logo--oneworld a{display:none;}
.ds-header__logo img{width:100%;}
.ds-header__list{display:flex;align-items:center;gap:0 16px;min-width:45px;}
.ds-header__list:has(.ds-header__linkTxt.u-screenOnly){gap:0;}
.ds-header__item .ds-button{margin-top:0;}
.ds-header__link{background:transparent;color:#000;align-items:center;display:flex;font-size:0.6875rem;gap:4px;flex-direction:column;}
.ds-header__link--help{font-weight:700;font-size:0.75rem;color:#333;margin-top:40px;}
.ds-header__linkTxt{display:inline-block;line-height:1;width:100%;}
.ds-header__linkIcon{align-items:center;color:#000;display:flex;justify-content:center;height:20px;width:20px;}
.ds-header__linkIcon svg{fill:#000;}
.ds-header__menuLink{margin-top:24px;}
.ds-header__menuLink .ds-header__item{margin-top:24px;}
.ds-header__menuLink .ds-header__link{flex-direction:row;}
.ds-header__menuLink .ds-header__link--login, .ds-header__menuLink .ds-header__link--logout,.ds-header__link--region{flex-direction:row;}
.ds-header__menuLink .ds-header__link--login .ds-header__linkIcon{color:#fff;height:20px;width:20px;}
.ds-header__menuLink .ds-header__linkTxt{font-weight:700;}
.ds-header__link--login.is-hide,.ds-header__link--logout.is-hide,.ds-header__link--region.is-hide,.ds-header__link--search.is-hide,
.ds-header__link--login.dis-hide,.ds-header__link--logout.dis-hide,.ds-header__link--region.dis-hide,.ds-header__link--search.dis-hide{display:none;}
.ds-header__link--login, .ds-header__link--logout, .ds-header__link--menu{white-space:nowrap;}

.ds-header__search{position:relative;margin-top:40px;}
.ds-header__searchIcon{background:transparent;position:absolute;top:50%;transform:translateY(-50%);left:16px;height:24px;width:24px;color:#666;}
.ds-header__searchIcon .ds-icon--searchOutlined{fill:#666;}
.ds-header__searchLabel{background:#F5F6F6;border-radius:8px;display:flex;font-size:0.875rem;align-items:center;height:48px;width:100%;padding:8px 48px;}
.ds-header__searchInput{background:transparent;height:24px;width:100%;font-family:"Noto Sans JP", sans-serif;}
.ds-header__searchInput:focus{outline:none;}
.ds-header__searchInput::-webkit-search-cancel-button{-webkit-appearance:none;}

.ds-globalNav{background:#fff;width:100%;}
.ds-globalNav__close{background:transparent;color:#666;position:absolute;top:44px;right:0;z-index:1;}
.ds-globalNav__item{border-bottom:1px solid #D5D5D5;padding-bottom:1px;}
.ds-globalNav__item:last-child{border:0;}
.ds-globalNav__link{background:#fff;color:#000;display:inline-block;font-weight:700;padding:16px 44px 16px 0;width:100%;text-align:left;position:relative;}
.ds-globalNav__link:focus-visible{border-radius:2px;outline:1px solid #cc0000;outline-offset:1px;}
.ds-globalNav__link::after{content:"";position:absolute;top:0;right:0;background:url(/content/dam/jalaem/wwwjalcojp/sites/common/img/icon/icon_sprite.svg) no-repeat;background-position:100px 100px;}
.ds-globalNav__textLink{display:inline-block;font-size:0.75rem;font-weight:700;padding-bottom:1px;padding-top:1px;}
.ds-globalNav__textLink:hover{text-decoration:underline;}
.ds-globalNav__textLink:focus-visible{border-radius:2px;outline:1px solid #333;outline-offset:1px;text-decoration:underline;}
.ds-globalNav__linkIcon{position:absolute;top:50%;right:10px;transform:translateY(-50%);width:24px;height:24px;text-align:center;color:#666;}
.ds-globalNav__link.is-active .ds-globalNav__linkIcon{transform:rotate(180deg);top:35%;}
.ds-globalNav__linkIcon .ds-icon{display:inline-block;}

.ds-globalNav__close{position:absolute;z-index:1;top:6px;right:8px;}
.ds-globalNav__button{background:transparent;color:#666;line-height:1;padding:10px;height:44px;width:44px;}
.ds-globalNav__button svg{display:inline-block;vertical-align:baseline;}

.ds-globalMenu{background:#fff;}
.ds-globalMenu .ds-globalMenu__inner{opacity:0;visibility:hidden;height:0;}
.ds-globalMenu.is-active{border:0;}
.ds-globalMenu.is-active .ds-globalMenu__inner{opacity:1;visibility:visible;padding:8px 0;height:auto;}
.ds-globalMenu__close{position:absolute;top:44px;right:0;z-index:1;height:24px;width:24px;}
.ds-globalMenu__button{background:transparent;color:#666;line-height:1;height:24px;width:24px;}
.ds-globalMenu__column{width:100%;}
.ds-globalMenu__columnInner{position:relative;}
.ds-globalMenu__columnInner .ds-button{margin-top:0;}
.ds-globalMenu__columnInner .ds-button__trigger{font-size:0.875rem;min-height:32px;min-width:72px;padding:4px 16px;}
.ds-globalMenu__column--col01Sp .ds-globalMenu__columnInner:not(:first-child){margin-top:16px;}
.ds-globalMenu__column--col01Sp .ds-globalMenu__columnInner:not(:last-child)::after{content:"";border-bottom:1px dashed #d5d5d5;width:100%;height:1px;bottom:0;position:absolute;}
.ds-globalMenu__column--col01Sp .ds-globalMenu__columnInner:not(:last-child){padding-bottom:8px;}

.ds-globalMenu__item:first-child{margin-top:8px;}
.ds-globalMenu__group{display:none;}
.ds-globalMenu__group.is-active{display:block;}
.ds-globalMenu__title{color:#000;font-weight:700;padding:16px 44px 16px 0;position:relative;width:100%;}
.ds-globalMenu__title .ds-globalMenu__linkIcon{position:absolute;top:50%;right:10px;transform:translateY(-50%);width:24px;height:24px;text-align:center;color:#666;}
.ds-globalMenu__title.is-active .ds-globalMenu__linkIcon{transform:rotate(180deg);top:35%;}

/*.ds-globalMenu__title::after{content:"";position:absolute;top:0;right:0;}*/
.ds-globalMenu__title.is-active .ds-globalAccordionList__icon--down{transform:rotate(180deg);}
.ds-globalMenu__subTitle{color:#000;font-weight:700;padding:13.5px 0 13.5px 16px;}
.ds-globalMenu__link{display:inline-block;padding:13.5px 0 13.5px 16px;width:100%;}
.ds-globalMenu__link:hover{text-decoration:underline;}
.ds-globalMenu__link:focus-visible{border-radius:2px;outline:1px solid #333;outline-offset:1px;text-decoration:underline;}
.ds-globalMenu__link .ds-icon--linkBlank{display:inline-block;margin-left:4px;vertical-align:baseline;}
.ds-globalMenu__linkIcon .ds-icon{display:inline-block;}

.headerRegionCombobox{position:relative;max-width:344px;width:100%;margin:0 auto;}
.headerRegionCombobox__inputBox{display:flex;align-items:center;justify-content:space-between;cursor:pointer;position:relative;width:100%;gap:4px;border-radius:8px;border:1px solid #999;background:#fff;padding:8px 16px;height:48px;}
.headerRegionCombobox__inputBox:focus-visible{border-radius:2px;outline:1px solid #666;outline-offset:1px;}
.headerRegionCombobox__inputBox svg{color:#666;}
.headerRegionCombobox__inputBox button{background:transparent;line-height:1;display:flex;align-items:center;justify-content:center;}
.headerRegionCombobox.is-active .headerRegionCombobox__inputBox{border:2px solid #666;padding:7px 15px;}
.headerRegionCombobox.is-error .headerRegionCombobox__inputBox{border:1px solid #A30000;}
.headerRegionCombobox__inputBox button:focus-visible{border-radius:2px;outline:1px solid #666;outline-offset:1px;}
.headerRegionCombobox__txt{display:flex;align-items:center;gap:8px;width:100%;}
.headerRegionCombobox__txt .ds-icon--searchOutlined{width:24px;height:24px;padding:2px;}
.headerRegionCombobox__input{background:transparent;width:100%;max-width:246px;color:#333;text-align:left;}
.headerRegionCombobox__input:focus{outline:none;color:#000;}
.headerRegionCombobox__delete{width:32px;height:32px;padding:4px;display:none !important;}
.headerRegionCombobox__delete.is-active{display:flex !important;}
.headerRegionCombobox__icon{width:24px;height:24px;display:flex;align-items:center;justify-content:center;}
.headerRegionCombobox__errorTxt{color:#A30000;font-size:0.75rem;display:none;margin-top:4px;}
.headerRegionCombobox.is-error .headerRegionCombobox__errorTxt{display:block;}
.headerRegionCombobox__list{margin:0;padding:8px;position:absolute;left:0;top:52px;list-style:none;background-color:#fff;display:none;box-sizing:border-box;max-height:180px;width:100%;overflow:scroll;overflow-x:hidden;font-size:87.5%;cursor:pointer;z-index:1;border-radius:8px;border:1px solid #E8E8E8;background:#FFF;box-shadow:0 0 8px 0 rgba(42, 52, 75, 0.04), 0 8px 16px -4px rgba(42, 52, 75, 0.08);}
.headerRegionCombobox__list.is-active{display:block;}
.headerRegionCombobox__list > li{margin:0;display:block;padding:6px 16px;color:#333;line-height:1.5;font-size:1rem;}
.headerRegionCombobox__list > li:hover,.headerRegionCombobox__list > li:focus{background:#f5f5f5;}

.headerRegionRadio{margin-top:32px;}
.headerRegionRadioList{display:flex;align-items:center;justify-content:center;gap:16px;}
.headerRegionRadioList__item.is-hide,.headerRegionRadioList__item.dis-hide{display:none;}
.headerRegionRadio__label{display:inline-block;position:relative;cursor:pointer;}
.headerRegionRadio__label:hover .headerRegionRadio__parts{background:url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjgiIGhlaWdodD0iMjgiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+IDxjaXJjbGUgY3g9IjE0IiBjeT0iMTQiIHI9IjE0IiBmaWxsPSIjZTZlNmU2IiAvPjwvc3ZnPg==) no-repeat center;}
.headerRegionRadio__partsWrap{display:flex;align-items:flex-start;}
.headerRegionRadio__input{position:absolute;top:0;left:0;opacity:0;}
.headerRegionRadio__input:checked ~ span .headerRegionRadio__parts::after{content:"";display:inline-block;position:absolute;top:6px;left:6px;width:20px;height:20px;border:0;background:url(/content/dam/jalaem/wwwjalcojp/sites/common/img/icon/master-icon_radio_20-20.svg);background-size:contain;opacity:1;}
.headerRegionRadio__input:focus-visible ~ .headerRegionRadio__partsWrap .headerRegionRadio__parts{background:url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMzIiIGhlaWdodD0iMzIiIHZpZXdCb3g9IjAgMCAzMiAzMiIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48Y2lyY2xlIGN4PSIxNiIgY3k9IjE2IiByPSIxMyIgZmlsbD0iYmxhY2siIGZpbGwtb3BhY2l0eT0iMC4xIiBzdHJva2U9IiM2NjY2NjYiIHN0cm9rZS13aWR0aD0iMiIvPjwvc3ZnPg==) no-repeat center;}
.headerRegionRadio__parts{position:relative;display:inline-block;min-width:30px;min-height:32px;border-radius:50px;}
.headerRegionRadio__parts::before{content:"";display:inline-block;position:absolute;top:6px;left:6px;width:20px;height:20px;border-radius:50px;border:2px solid #999;background-color:#fff;}
.headerRegionRadio__text{display:inline-block;margin-top:3px;margin-left:4px;line-height:1.5;color:#333;word-break:break-word;white-space:nowrap;}
.is-error .headerRegionRadio__parts::before{border-color:#A30000;}
.is-error .headerRegionRadio__label:hover .headerRegionRadio__parts{background-image:url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjgiIGhlaWdodD0iMjgiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+IDxjaXJjbGUgY3g9IjE0IiBjeT0iMTQiIHI9IjE0IiBmaWxsPSIjZTlkYWRhIiAvPjwvc3ZnPg==");}
.is-error .headerRegionRadio__input:checked ~ span .headerRegionRadio__parts::after{background:url(/content/dam/jalaem/wwwjalcojp/sites/common/img/icon/master-icon_radio-error_20-20.svg);}
.is-error .headerRegionRadio__input:focus-visible ~ .headerRegionRadio__partsWrap .headerRegionRadio__parts{background:url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMzIiIGhlaWdodD0iMzIiIHZpZXdCb3g9IjAgMCAzMiAzMiIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48Y2lyY2xlIGN4PSIxNiIgY3k9IjE2IiByPSIxMyIgZmlsbD0iI0EzMDAwMCIgZmlsbC1vcGFjaXR5PSIwLjEiIHN0cm9rZT0iI0EzMDAwMCIgc3Ryb2tlLXdpZHRoPSIyIi8+PC9zdmc+) no-repeat center;}

.ds-button.ds-button--danger .ds-button__trigger{background-color:#a30000;border:1px solid #a30000;color:#fff;}
.ds-button.ds-button--danger .ds-button__trigger:focus-visible{background-color:rgba(163,0,0,.8);}
.ds-button.ds-button--danger .ds-button__trigger:focus-visible .ds-button__icon{color:#fff;}
.ds-button.ds-button--danger .ds-button__trigger:active,.ds-button.ds-button--danger .ds-button__trigger:active:hover{background-color:#a30000;border-color:#a30000;border-width:1px;box-shadow:3px 4px 4px 0 #a30000 inset;}
.ds-button.ds-button--danger .ds-button__trigger:active .ds-button__icon,.ds-button.ds-button--danger .ds-button__trigger:active:hover .ds-button__icon{color:#fff;}

@media all and (max-width:359px) {
.ds-header__logo--jal{width:95%;}
.ds-header__list{gap:0 8px;}
}
@media all and (min-width:768px) {
.ds-header{position:relative;height:112px;}
.ds-header.is-fixed{min-width:1280px;}
.ds-header__head .ds-header__inner{padding:0;}
.ds-header__head .ds-header__item{min-width:auto;}
.ds-header__head .ds-header__item + form{display:none;}
.ds-header__body{border-bottom:1px solid #d5d5d5;display:block;position:relative;padding:0;height:auto;overflow:inherit;}
.ds-header__body.is-active .ds-header__inner{border-top:none;}
.ds-header__inner{flex-direction:row;margin:0 auto;max-width:1280px;width:100%;padding:0;border:0;min-height:auto;}
.ds-header__logo--jal{height:32px;width:353px;max-width:100%;}
.ds-header__logo--oneworld{margin-left:32px;height:25.6px;width:25.6px;}
.ds-header--simple{height:64px;}

.dis-hide:has(.ds-globalMenu.is-active).ds-header__body,
.dis-hide:has(.ds-globalMenu.is-active).ds-header__head,
.dis-hide:has(.ds-globalMenu.is-active){display:block !important;visibility:visible !important;}

.is-fixed:has(.ds-globalMenu.is-active){position:static !important;overflow:visible !important;}
.ds-headerWrap:has(.is-fixed) {height:112px;}
.ds-header.is-fixed:has(.ds-globalMenu.is-active){position:fixed !important;}
.ds-header.is-fixed:has(.ds-globalMenu.is-active) .ds-globalMenu.is-active{max-height:75vh;overflow-y:auto;}

.ds-header__search{display:none;margin-top:0;}
.ds-header__search.is-active{display:flex;}
/*.ds-header__searchIcon{background:transparent;position:absolute;top:8px;left:16px;height:24px;width:24px;padding:2px;line-height:1;}*/
.ds-header__searchLabel{background:#fff;border:2px solid #666;border-radius:8px;display:flex;font-size:0.875rem;align-items:center;height:36px;width:240px;padding:5px 8px 5px 44px;}
.ds-header__searchInput{height:21px;width:100%;}

.ds-header__list{padding:10px 0;}
.ds-header__link{flex-direction:column;justify-content:center;background:transparent;color:#000;align-items:center;display:flex;font-size:0.6875rem;min-height:42px;min-width:45px;padding:0;gap:4px;}
.ds-header__linkTxt{font-weight:400;}
.ds-header__linkIcon{height:24px;width:24px;}
.ds-header__link--login .ds-button__trigger{line-height:1;}
.ds-header__link--login .ds-button__trigger .ds-header__linkIcon{color:#fff;}
.ds-header__link--login .ds-button__trigger,.ds-header__link--logout,.ds-header__link--region{flex-direction:row;}
.ds-header__link--login .ds-button__trigger .ds-header__linkTxt,.ds-header__link--logout .ds-header__linkTxt,.ds-header__link--region .ds-header__linkTxt{font-weight:700;}

.ds-globalNav{align-items:center;display:flex;justify-content:space-between;width:auto;}
.ds-globalNav__close{position:absolute;top:44px;right:0;z-index:1;}
.ds-globalNav__list{display:flex;}
.ds-globalNav__item{border:0;padding:0 1px;}
.ds-globalNav__item:first-child .ds-globalNav__link{padding-left:0;}
.ds-globalNav__link{border:0;line-height:1;padding:16px 16px 15px;}
.ds-globalNav__link.is-active,.ds-globalNav__link:hover,.ds-globalNav__link:focus-visible{border-bottom:3px solid #cc0000;color:#cc0000;padding-bottom:12px;}
.ds-globalAccordionList__icon--down{display:none;}
.ds-globalNav__linkIcon, .ds-globalNav__linkIcon .ds-icon{display:none;}

.ds-globalMenu{box-shadow:0 0 8px 0 rgba(42, 52, 75, 0.04), 0 16px 32px -8px rgba(42, 52, 75, 0.08);border-radius:0 0 8px 8px;display:flex;opacity:0;visibility:hidden;position:absolute;transform:translateX(-50%);top:48px;left:50%;padding:32px 0 0;max-width:calc(1280px + 80px);width:100%;z-index:1;}
.ds-globalMenu.is-active{opacity:1;visibility:visible;}
.ds-globalMenu.is-active .ds-globalMenu__inner{padding:0;}
.ds-globalMenu__close{top:0;right:0;}
.ds-globalMenu__inner{margin:0 auto;max-width:1280px;width:100%;position:relative;}

.ds-globalMenu__column{padding-bottom:32px;}
.ds-globalMenu__columnInner .ds-button__trigger{font-size:1.125rem;min-height:48px;min-width:112px;padding:8px 16px;}
.ds-globalMenu__column--col02Pc{display:flex;justify-content:space-between;}
.ds-globalMenu__column--col02Pc .ds-globalMenu__columnInner{width:calc(100% / 2 - 32px);}
.ds-globalMenu__column--col02Pc .ds-globalMenu__columnInner:first-child::after{content:"";border-right:1px dashed #d5d5d5;height:100%;width:1px;top:0;right:-32px;position:absolute;}
.ds-globalMenu__column--col01Sp .ds-globalMenu__columnInner:not(:first-child){margin-top:0;}

.ds-globalMenuList__item{margin-top:16px;}
.ds-globalMenu__title{background:#f5f6f6;padding:8px;margin-top:24px;}
.ds-globalMenu__title .ds-globalMenu__linkIcon{display:none;}
.ds-globalMenu__subTitle{margin-top:16px;padding:0;}
.ds-globalMenu__subTitle + .ds-globalMenuList .ds-globalMenuList__item:first-child{margin-top:8px;}
.ds-globalMenu__item:first-child{margin-top:0;}
.ds-globalMenu__link{padding:1px 0;width:auto;}
.ds-globalMenu__itemBoxWrap{display:flex;}
.ds-globalMenu__itemBox{display:flex;justify-content:space-between;width:100%;gap:32px;}
.ds-globalMenu__itemBox--col02Pc .ds-globalMenu__item{width:calc(100% / 2);}
.ds-globalMenu__itemBox--col03Pc .ds-globalMenu__item{width:calc(100% / 3);}
.ds-globalMenu__itemBox--col04Pc .ds-globalMenu__item{width:calc(100% / 4);}
.ds-globalMenu__item.ds-globalMenu__item--col01Pc{flex:1;max-width:296px;}
.ds-globalMenu__item.ds-globalMenu__item--col02Pc{flex:2;max-width:624px;}
.ds-globalMenu__group{display:block;padding:0 8px;}
.ds-globalMenu__group + .ds-globalMenu__title{margin-top:32px;}
.ds-globalMenu__group--col02Pc{display:flex;justify-content:space-between;gap:32px;}
.ds-globalMenu__group--col02Pc .ds-globalMenuList{width:calc(100% / 2);}

.ds-modal__login{box-shadow:0 0 8px 0 rgba(42, 52, 75, 0.04), 0 16px 32px -8px rgba(42, 52, 75, 0.08);transform:translateX(150%);top:64px;right:50%;bottom:auto;left:auto;width:420px;}
.headerRegionRadioList{gap:40px;}
.headerRegionCombobox__list{max-height:340px;}
}

/* footer
----------------------------------------------------------------- */
.ds-footer {
  background-color: #f5f6f6;
  font-size: 0.875rem;
}
.ds-footer--simple {
  display: none;
}
[data-footer-status="simple"] .ds-footer {
  display: none;
}
[data-footer-status="simple"] .ds-footer--simple {
  display: block;
}
.ds-footer__container {
  display: flex;
  flex-direction: column;
  padding: 40px 16px;
}

.ds-footer__section:not(.ds-footer__section--accordion) {
  margin-top: 56px;
}
.ds-footer__section.ds-footer__section--link {
  margin-top: 32px;
  padding-top: 16px;
  border-top: 1px solid #d5d5d5;
}
.ds-footer__section.ds-footer__section--accordion {
  border-bottom: 1px solid #d5d5d5;
}
.ds-footer__titleWrapper {
  display: table;
  font-weight: bold;
  min-height: 60px;
  width: 100%;
}
.ds-footer__title {
  color: inherit;
  cursor: pointer;
  display: table-cell;
  padding: 8px 44px 8px 0;
  position: relative;
  transition: background-color 150ms cubic-bezier(0.4, 0, 0.2, 1);
  vertical-align: middle;
  width: 100%;
  font-weight: bold;
}
.ds-footer__section.ds-footer__section--social .ds-footer__title {
  padding: 0;
}
.ds-footer__titleIcon {
  bottom: 0;
  display: grid;
  height: 44px;
  margin: auto;
  place-items: center;
  position: absolute;
  right: 0;
  top: 0;
  width: 44px;
  color: #666;
}
.is-active .ds-footer__title .ds-footer__titleIcon {
  transform: rotate(180deg);
}
.ds-footer__openCloseText {
  border: 0;
  clip: rect(1px, 1px, 1px, 1px);
  clip-path: inset(0 0 99.9% 99.9%);
  height: 1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
}
.ds-footer__content {
  margin-bottom: 24px;
}
.ds-footer__list {
  color: #333;
}
.ds-footer__section.ds-footer__section--accordion .ds-footer__item + .ds-footer__item {
  margin-top: 16px;
}
.ds-footer__link {
  display: inline-block;
  color: #333;
}
.ds-footer__link:hover,
.ds-footer__awardLink:hover {
  text-decoration: underline;
}
.ds-footer__linkImg {
  width: 47px;
}
.ds-footer__linkIcon {
  height: 20px;
  margin-left: 4px;
  vertical-align: middle;
  width: 20px;
  color: #666;
}
.ds-footer__linkIcon svg {
  display: inline-block;
  vertical-align: initial;
}
.ds-footer__snsIconList {
  display: flex;
  flex-wrap: wrap;
  margin-top: 24px;
  gap: 12px;
}
.ds-footer__snsLink {
  display: inline-block;
  width: 32px;
  height: 32px;
  position: relative;
}
.ds-footer__snsLink--cnImg {
  display: none;
  position: absolute;
  top: calc(100% + 10px);
  left: -46px;
  width: 124px;
  height: 124px;
}
.ds-footer__snsLink--wechat:focus .ds-footer__snsLink--cnImg {
  display: block;
}
.ds-footer__appContainer {
  margin-top: 24px;
}
.ds-footer__appHeader,
.ds-footer__awardLink {
  display: inline-flex;
  align-items: center;
  gap: 16px;
}
.ds-footer__awardLink {
  font-weight: bold;
}
.ds-footer__appIcon {
  width: 56px;
  height: 56px;
}
.ds-footer__appIcon.ds-footer__appIcon--jcapp {
  width: 72px;
  height: 72px;
}
.ds-footer__appBannerList {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 16px;
  margin-top: 16px;
}
.ds-footer__appBannerImage {
  width: auto;
  height: 44px;
}
.ds-footer__appBannerLink {
  display: block;
}
.ds-footer__appBannerList + .ds-footer__list {
  margin-top: 16px;
}

.ds-footer__awardList {
  display: flex;
  flex-direction: column;
  gap: 32px 0;
}
.ds-footer__awardImage {
  width: 72px;
}
.ds-footer__section.ds-footer__section--link .ds-footer__list {
  display: flex;
  flex-wrap: wrap;
  gap: 8px 24px;
}
.ds-footer__bottom {
  background-color: #000;
  color: #fff;
}
.ds-footer__bottomInr {
  display: flex;
  flex-direction: column;
  gap: 24px 0;
  padding: 32px 16px;
}
.ds-footer__logo {
  display: flex;
}
.ds-footer__logoLink img {
  width: auto;
  height: 20px;
}
.ds-footer__logoLink.ds-footer__logoLink--jal img {
  margin-right: 20px;
}
.ds-footer__copy {
  font-size: 0.75rem;
}

@media screen and (max-width: 767px) {
  .ds-footer__content {
    display: none;
  }
}
@media screen and (min-width: 768px) {
  .ds-footer__container {
    display: grid;
    grid-template-columns: 1fr 213px;
    gap: 40px 32px;
    grid-auto-rows: min-content;
    align-items: start;
    padding: 56px 32px 24px;
  }
  .ds-footer__main {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 40px 32px;
    grid-column: 1 / 2;
  }
  .ds-footer__section {
    height: auto;
  }
  .ds-footer__section:not(.ds-footer__section--accordion),
  .ds-footer__section.ds-footer__section--link {
    margin-top: 0;
  }
  .ds-footer__section.ds-footer__section--accordion {
    border-bottom: none;
    grid-column: auto;
  }
  .ds-footer__titleWrapper {
    display: block;
    min-height: auto;
  }
  .ds-footer__title {
    pointer-events: none;
    cursor: default;
    padding: 0;
  }
  .ds-footer__titleIcon {
    display: none;
  }
  .ds-footer__content {
    margin: 24px 0 0;
  }
  .ds-footer__section--social {
    grid-column: 2 / 3;
  }
  .ds-footer__section--award {
    grid-column: 1 / 1;
  }
  .ds-footer__section--link,
  .ds-footer__section--address {
    grid-column: 1 / -1;
  }
  .ds-footer__snsLink {
    width: 25px;
    height: 25px;
  }
  .ds-footer__appBannerImage {
    height: 30px;
  }
  .ds-footer__awardList {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 0 32px;
  }
  .ds-footer__section--address {
    font-size: 0.75rem;
  }

  .ds-footer__bottomInr {
    padding: 32px;
  }
}

@media screen and (min-width: 1024px) {
  .ds-footer__container {
    grid-template-columns: 1fr 192px;
    padding-left: 80px;
    padding-right: 80px;
  }
  .ds-footer__main {
    grid-template-columns: repeat(3, 1fr);
  }
  .ds-footer__awardList {
    grid-template-columns: repeat(3, 1fr);
  }
  .ds-footer__section--social {
    grid-column: 2 / 3;
  }
  .ds-footer__snsLink {
    width: 22px;
    height: 22px;
  }
  .ds-footer__appBannerImage {
    height: 27px;
  }

  .ds-footer__bottomInr {
    flex-direction: initial;
    align-items: center;
    gap: 0;
    justify-content: space-between;
    padding: 24px 80px;
  }
  .ds-footer__logoLink img {
    height: 26px;
  }
}

@media screen and (min-width: 1440px) {
  .ds-footer__container {
    grid-template-columns: 1fr 296px;
    max-width: 1440px;
    margin: 0 auto;
  }
  .ds-footer__snsLink {
    width: 32px;
    height: 32px;
  }
  .ds-footer__appIcon,
  .ds-footer__appIcon.ds-footer__appIcon--jcapp {
    width: 72px;
    height: 72px;
  }
  .ds-footer__appBannerImage {
    height: 44px;
  }

  .ds-footer__bottomInr {
    max-width: 1440px;
    margin: 0 auto;
  }
}

/* 至近便　※後ほどカテトップ側cssへ外出し
----------------------------------------------------------------- */
.ds-flightCard {
  margin-top: -1px;
  background-color: #ffffff;
  border-bottom: 1px solid #ccc;
}
.ds-flightCard.dis-hide,
.ds-flightCard.is-hide {
  display: none;
}
.ds-flightCard__link {
  position: relative;
  display: grid;
  grid-template-columns: auto 1fr;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  padding: 8px 0;
  text-decoration: none;
  color: inherit;
}
.ds-flightCard__link:hover .ds-flightCard__route,
.ds-flightCard__link:hover .ds-flightCard__date,
.ds-flightCard__link:hover .ds-flightCard__notice {
  text-decoration: underline;
}
.ds-flightCard__link--unpurchased {
  grid-template-columns: auto 1fr;
}
.ds-flightCard__link::before {
  content: "";
  background-image: url("data:image/svg+xml;base64,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");
  background-position: 0 0;
  background-repeat: no-repeat;
  background-size: 24px 24px;
  min-width: 24px;
  height: 24px;
  margin: 0 24px 0 16px;
}
.ds-flightCard__link--warning::before {
  background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQiIGhlaWdodD0iMjQiIHZpZXdCb3g9IjAgMCAyNCAyNCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48cGF0aCBkPSJNMjAuNjA5MSAyMS40OUgzLjM4OTA2QzIuNTU5MDYgMjEuNDkgMS44MjkwNiAyMS4wNiAxLjQwOTA2IDIwLjM1QzAuOTk5MDYzIDE5LjYzIDAuOTk5MDYzIDE4Ljc4IDEuNDA5MDYgMTguMDZMMTAuMDA5MSAzLjE0QzEwLjQyOTEgMi40MiAxMS4xNjkxIDIgMTEuOTk5MSAyQzEyLjgxOTEgMiAxMy41NTkxIDIuNDMgMTMuOTY5MSAzLjE0TDIyLjU3OTEgMTguMDZDMjIuOTg5MSAxOC43OCAyMi45ODkxIDE5LjYzIDIyLjU3OTEgMjAuMzVDMjIuMTY5MSAyMS4wNyAyMS40MjkxIDIxLjQ5IDIwLjU5OTEgMjEuNDlIMjAuNjA5MVpNMTEuOTk5MSAzLjVDMTEuODU5MSAzLjUgMTEuNTE5MSAzLjU0IDExLjMwOTEgMy45TDIuNzA5MDYgMTguODFDMi40OTkwNiAxOS4xNyAyLjYzOTA2IDE5LjQ4IDIuNzA5MDYgMTkuNkMyLjc3OTA2IDE5LjcyIDIuOTc5MDYgMTkuOTkgMy4zODkwNiAxOS45OUgyMC42MTkxQzIxLjAyOTEgMTkuOTkgMjEuMjI5MSAxOS43MiAyMS4yOTkxIDE5LjZDMjEuMzY5MSAxOS40OCAyMS41MDkxIDE5LjE3IDIxLjI5OTEgMTguODFMMTIuNjc5MSAzLjg5QzEyLjQ3OTEgMy41NCAxMi4xMzkxIDMuNSAxMS45OTkxIDMuNVpNMTEuMTE5MSA4LjM3QzExLjExOTEgNy44OSAxMS41MDkxIDcuNDkgMTEuOTk5MSA3LjQ5QzEyLjQ4OTEgNy40OSAxMi44NzkxIDcuODggMTIuODc5MSA4LjM3VjE0LjFDMTIuODc5MSAxNC41OCAxMi40ODkxIDE0Ljk4IDExLjk5OTEgMTQuOThDMTEuNTA5MSAxNC45OCAxMS4xMTkxIDE0LjU5IDExLjExOTEgMTQuMVY4LjM3Wk0xMS45OTkxIDE5LjAxQzExLjQ0OTEgMTkuMDEgMTAuOTk5MSAxOC41NiAxMC45OTkxIDE4LjAxQzEwLjk5OTEgMTcuNDYgMTEuNDQ5MSAxNy4wMSAxMS45OTkxIDE3LjAxQzEyLjU0OTEgMTcuMDEgMTIuOTk5MSAxNy40NiAxMi45OTkxIDE4LjAxQzEyLjk5OTEgMTguNTYgMTIuNTQ5MSAxOS4wMSAxMS45OTkxIDE5LjAxWiIgZmlsbD0iI0EzMDAwMCIvPjwvc3ZnPg==");
  background-size: 24px 24px;
  width: 24px;
  height: 24px;
}
.ds-flightCard__link--unpurchased::before {
  display: flex;
  align-items: center;
  max-width: 86px;
  height: auto;
  min-height: 24px;
  text-align: center;
  padding: 4px 8px;
  background-color: #a30000;
  color: #fff;
  font-size: 0.75rem;
  font-weight: bold;
  border-radius: 50px;
  background-image: none;
  line-height: 1.2;
}
[lang="ja"] .ds-flightCard__link--unpurchased::before {
  content: "未購入";
}
[lang="en"] .ds-flightCard__link--unpurchased::before {
  content: "not purchased";
  margin-right: 10px;
  transform: none;
}

.ds-flightCard__linkUnpurchasedText,
.ds-flightCard__linkInfoText {
  display: none;
}
.ds-flightCard__link--unpurchased .ds-flightCard__linkUnpurchasedText,
.ds-flightCard__link--warning .ds-flightCard__linkInfoText {
  display: block;
}

.ds-flightCard__content {
  display: flex;
  flex-direction: column;
  gap: 4px;
}
.ds-flightCard__icon {
  align-self: center;
  display: grid;
  flex-shrink: 0;
  height: 20px;
  place-items: center;
  width: 20px;
  position: absolute;
  right: 16px;
}

.ds-flightCard__info {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 4px 12px;
}
.ds-flightCard__date {
  font-size: 0.875rem;
  font-weight: bold;
}

.ds-flightCard__status {
  line-height: 1;
  border-radius: 16px;
  border: 1px solid #d5d5d5;
  padding: 5px 8px 6px;
  font-size: 0.75rem;
  font-weight: bold;
}

.ds-flightCard__status.dis-hide,
.ds-flightCard__status.is-hide {
  display: none;
}

.ds-flightCard__status--onTime {
  color: #0e8737;
}

.ds-flightCard__status--canceled {
  color: #cc0000;
}

.ds-flightCard__status--delayed {
  color: #976f11;
}

.ds-flightCard__status--arrived {
  color: #666666;
}

.ds-flightCard__detail {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.ds-flightCard__route {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 4px 8px;
  padding-right: 40px;
}

.ds-flightCard__location:first-child {
  position: relative;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 4px 8px;
}
.ds-flightCard__location:first-child::after {
  content: "";
  display: block;
  background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjAiIGhlaWdodD0iMjAiIHZpZXdCb3g9IjAgMCAyMCAyMCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48cGF0aCBkPSJNMTUuNTM3OSA3Ljc5NDI3SDEyLjcyMTNMOC45NDYyOCAxLjc1MjZDOC44Mjk2MiAxLjU2OTI3IDguNjI5NjIgMS40NjA5NCA4LjQxMjk1IDEuNDYwOTRINi44Mjk2MkM2LjYyMTI4IDEuNDYwOTQgNi40Mjk2MiAxLjU2MDk0IDYuMzEyOTUgMS43Mjc2QzYuMTk2MjggMS44OTQyNyA2LjE3MTI4IDIuMTEwOTQgNi4yMzc5NSAyLjMwMjZMOC4yOTYyOCA3Ljc5NDI3SDUuNTcxMjhMNC4xMjk2MiA1LjY5NDI3QzQuMDEyOTUgNS41Mjc2IDMuODIxMjggNS40MTkyNyAzLjYxMjk1IDUuNDE5MjdIMi4wNzEyOEMxLjg2Mjk1IDUuNDE5MjcgMS42NzEyOCA1LjUxOTI3IDEuNTU0NjIgNS42OTQyN0MxLjQzNzk1IDUuODY5MjcgMS40MTI5NSA2LjA4NTk0IDEuNDg3OTUgNi4yNzc2TDIuOTc5NjIgMTAuMDAyNkwxLjQ4Nzk1IDEzLjcyNzZDMS40MTI5NSAxMy45MTkzIDEuNDM3OTUgMTQuMTM1OSAxLjU1NDYyIDE0LjMxMDlDMS42NzEyOCAxNC40ODU5IDEuODYyOTUgMTQuNTg1OSAyLjA3MTI4IDE0LjU4NTlIMy42MTI5NUMzLjgyMTI4IDE0LjU4NTkgNC4wMTI5NSAxNC40ODU5IDQuMTI5NjIgMTQuMzEwOUw1LjU3MTI4IDEyLjIxMDlIOC4yOTYyOEw2LjIzNzk1IDE3LjcwMjZDNi4xNjI5NSAxNy44OTQzIDYuMTk2MjggMTguMTEwOSA2LjMxMjk1IDE4LjI3NzZDNi40Mjk2MiAxOC40NDQzIDYuNjIxMjggMTguNTQ0MyA2LjgyOTYyIDE4LjU0NDNIOC40MTI5NUM4LjYyOTYyIDE4LjU0NDMgOC44Mjk2MiAxOC40MzU5IDguOTQ2MjggMTguMjUyNkwxMi43MjEzIDEyLjIxMDlIMTUuNTM3OUMxNy41OTYzIDEyLjIxMDkgMTguNTM4IDExLjA2OTMgMTguNTM4IDEwLjAwMjZDMTguNTM4IDguOTM1OTQgMTcuNTk2MyA3Ljc5NDI3IDE1LjUzNzkgNy43OTQyN1oiIGZpbGw9IiM5OTk5OTkiLz48L3N2Zz4=");
  background-size: 100%;
  background-repeat: no-repeat;
  width: 20px;
  height: 20px;
}

.ds-flightCard__notice {
  font-size: 0.75rem;
  padding-right: 40px;
}
.ds-flightCard__notice.dis-hide,
.ds-flightCard__notice.is-hide {
  display: none;
}

.headerModal--nearFlight {
  visibility: visible;
  opacity: 1;
}
.headerModal--nearFlight .headerModalPanel {
  max-width: 532px;
}
.headerModal--nearFlight .headerModalPanel__content {
  padding-top: 95px;
  padding-bottom: 16px;
}
.headerModal--nearFlight .ds-button {
  margin-top: 0;
}

@media screen and (max-width: 767.5px) {
  .headerModal--nearFlight .headerModalPanel {
    border-radius: 16px 16px 0 0;
  }
}
@media screen and (min-width: 767.5px) {
  .headerModal--nearFlight .headerModalPanel__content {
    padding: 135px 24px 16px;
  }
  .headerModal--nearFlight .headerModalPanel__bottom .ds-button__trigger {
    min-width: 344px;
  }
}

/* 会員情報　※後ほどカテトップ側cssへ外出し
----------------------------------------------------------------- */
.ds-userCard {
  margin-top: -1px;
  border-top: 1px solid #ccc;
  border-bottom: 1px solid #ccc;
  background-color: #f5f6f6;
  padding: 8px 16px;
}

.ds-userCard.dis-hide,
.ds-userCard.is-hide {
  display: none;
}

.ds-userCard__container {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.ds-userCard__profile {
  display: flex;
  align-items: center;
  gap: 0 16px;
}

.ds-userCard__grade {
  display: flex;
  align-items: center;
}

.ds-userCard__cardImg {
  width: 40px;
}

.ds-userCard__oneworldImg {
  width: 20px;
  margin-left: 8px;
}

.ds-userCard__oneworldImg.dis-hide,
.ds-userCard__oneworldImg.is-hide {
  display: none;
}

.ds-userCard__name {
  font-size: 0.875rem;
}

.ds-userCard__mileage {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 4px 16px;
}

.ds-userCard__mileageLink {
  display: flex;
  align-items: center;
  font-weight: bold;
  line-height: 1;
}
.ds-userCard__mileageLink:hover {
  text-decoration: underline;
}
.ds-userCard__mileageUnit {
  margin-left: 4px;
  font-size: 0.75rem;
}
.ds-userCard__icon {
  color: #4c559b;
  margin-left: 4px;
  align-self: center;
  display: grid;
  flex-shrink: 0;
  height: 20px;
  place-items: center;
  width: 20px;
}

.ds-userCard__actionLink {
  display: flex;
  align-items: center;
  font-size: 0.75rem;
  color: #4c559b;
}
.ds-userCard__actionLink:hover {
  text-decoration: underline;
}

@media screen and (min-width: 1024px) {
  .ds-userCard {
    padding: 8px 32px;
	/* margin-inline: -100vw; */
    /* padding-inline: 100vw; */
  }
  .ds-userCard__container {
    flex-direction: row;
    justify-content: flex-end;
    max-width: 1280px;
    margin: 0 auto;
  }

  .ds-flightCard__container {
    max-width: 1280px;
    margin: 0 auto;
  }
  .ds-flightCard__content {
    flex-direction: row;
    align-items: center;
    gap: 8px;
  }
  .ds-flightCard__icon {
    position: static;
  }
  .ds-flightCard__link {
    display: flex;
    justify-content: flex-start;
    width: auto;
    padding: 14px 16px 14px 0;
  }
  .ds-flightCard__link.ds-flightCard__link--unpurchased {
    padding-left: 0;
  }
  .ds-flightCard__link::before {
    left: 0;
    margin: 0;
    margin-right: 8px;
    transform: none;
  }
  .ds-flightCard__link--unpurchased::before {
    max-width: none;
  }
  .ds-flightCard__info {
    gap: 0;
    flex-wrap: nowrap;
    flex-shrink: 0;
  }
  .ds-flightCard__date {
    margin-right: 24px;
  }
  .ds-flightCard__detail {
    flex-direction: row;
    align-items: center;
    gap: 4px 24px;
  }
  .ds-flightCard__route {
    padding-right: 0;
    flex-shrink: 0;
  }

  .ds-flightCard__notice {
    padding: 5px 0 5px 24px;
    border-left: 1px solid #d5d5d5;
  }
  /*.ds-flightCard__notice::before {
    content: "";
    position: absolute;
    width: 1px;
    height: 28px;
    left: 0;
    top: 50%;
    background-color: #D5D5D5;
    transform: translateY(-50%);
  }*/
}

/* 外部遷移モーダル
----------------------------------------------------------------- */
.headerModal--external .headerModalPanel__content {
  padding: 16px 24px;
}
.ds-button__group {
  display: flex;
  flex-direction: column-reverse;
  gap: 16px 0;
}
.ds-button__group > .ds-button {
  margin-top: 0;
}
.ds-button__trigger--back,
.ds-button__trigger--continue {
  display: flex;
}
@media screen and (min-width: 767.5px) {
  .headerModal--external .headerModalPanel__inner {
    padding: 0;
  }
  .headerModal--external .headerModalPanel {
    max-width: 842px;
  }
  .headerModal--external .headerModalPanel__head {
    padding: 24px 16px;
  }
  .ds-button__group {
    justify-content: flex-end;
    flex-direction: initial;
    gap: 0 32px;
  }
  .ds-button__trigger--back,
  .ds-button__trigger--continue {
    display: inline-flex;
  }
  .ds-button__trigger--back {
    min-width: 186px;
  }
  .ds-button__trigger--continue {
    min-width: 266px;
  }
  .headerModal--external .headerModalPanel__bottom {
    padding: 24px;
  }
}